if(!dojo._hasResource["com.ibm.data.TemplateInstantiator"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.data.TemplateInstantiator"] = true;
dojo.provide( "com.ibm.data.TemplateInstantiator" );

dojo.require( "com.ibm.portal.xslt" );

dojo.declare( "com.ibm.data.TemplateInstantiator",
			null,
			{	
				_retrieveTemplate: function(template, args) {
					// summary: Retrieves the template string for this object.
					// template: String template containing spots where parameters can be substituted,
					// 		such as ${0}, ${1}, etc.  The parameters can have names like ${name}, in 
					// 		which case the property with that name is looked up on the args object and
					// 		replaced with its property value.  Parameters can also be numerical like ${0},
					// 		in which case the args must be an array to match each parameter with its
					// 		corresponding value at the index noted.  
					// throws: Error if the template string is empty or does not exist.
					// returns: String template string
					if(!template) {
						throw new Error( "No template defined for " + this.toString());
					}
					return template;
				},
				
				_fillOutTemplate: function(str, args, transform, obj) {
					// summary: Performs a string substitution in the str argument using the args
					//		map/array for property substitutions.
					// str: String to perform substitution on
					// args: Object|Array to use to specify key-value binding pairs for parameter substitution 
					// returns: String parameterized string after parameter substitution has taken place
					return dojo.string.substitute(str, args, transform, obj);
				},
				
				getTemplateInstance: function(template, args, formatterObj) {
					// summary: Performs a string substitution in the str argument using the args
					//		map/array for property substitutions.
					// template: String template containing spots where parameters can be substituted,
					// 		such as ${0}, ${1}, etc.  The parameters can have names like ${name}, in 
					// 		which case the property with that name is looked up on the args object and
					// 		replaced with its property value.  Parameters can also be numerical like ${0},
					// 		in which case the args must be an array to match each parameter with its
					// 		corresponding value at the index noted. 
					// args: Object|Array to use to specify key-value binding pairs for parameter substitution
					// formatterObj: Object to look in for formatter functions to apply during substitution
					// throws: Error if the template string is empty or does not exist.
					// returns: DOM document containing content according to template after substitution
					//		for parameters using values specified by args has been completed.
					var str = this._fillOutTemplate(template, args, com.ibm.domUtilities.encodeXML, formatterObj);
					var doc = com.ibm.domUtilities.docFromString(str);
					return doc;
				}
			}
);

}
