if(!dojo._hasResource["com.ibm.mm.builder.dnd.ACLSource"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.dnd.ACLSource"] = true;
dojo.provide("com.ibm.mm.builder.dnd.ACLSource");

dojo.declare("com.ibm.mm.builder.dnd.ACLSource",dojo.dnd.AutoSource,{
	
	checkAcceptance: function(source, nodes){
		//prevent dropping nodes to the  searchSouce
		 return (this.name != "aclSearch");
	},
	
	onDndCancel: function(){
		this.inherited(arguments);
	},
	
	_uncheckAll: function(source){
		if(!source) source = this;
		try {
			if (source.node && source.node.childNodes) {
				com.ibm.mm.builder.utils.htmlUtil.uncheckAll(source.node.childNodes);
			}
		} catch (e) {}
	},
	
	onDropExternal: function(source, nodes, copy){
		//var draggedNodes = dojo.dnd.manager().avatar.node.childNodes[0].childNodes;
        //Fix defect 15125
		this._uncheckAll(source);
		var draggedNodes = nodes;
		if(!!source.selectedNodes&&source.selectedNodes.length >0){
			draggedNodes=source.selectedNodes;
		}
        
        
		if(source.name == "aclSearch"){
			draggedNodes = this.layout.checkDraggedNode(source,this,draggedNodes);
		}
		var anchor = this.before ? this.targetAnchor : (this.targetAnchor ? this.targetAnchor.nextSibling : null);
		dojo.forEach(draggedNodes,function(item){
			this.layout.transferNode(source,this,item.id,anchor,(source.name === "aclSearch"));
			if (!this.before && anchor) { anchor = anchor.nextSibling; }
		},this);
		dojo.publish(source.name);
		dojo.publish(com.ibm.mm.builder.eventTopics.UpdateAllPageControl);
	},
	
	
	onDropInternal: function(nodes, copy){},
	
	destroy: function(){
		dojo.forEach(this.container,"item.destroy();");
		this.inherited(arguments);
	}
});

com.ibm.mm.builder.dnd.ACLSource.createSource = function(domNode,accept,layout,name,listLengthPerPage,hiddenNodes){
	return new com.ibm.mm.builder.dnd.ACLSource(domNode,{
		accept:accept,
		layout:layout,
		name:name,
		listLengthPerPage:listLengthPerPage,
		container:[],
		allStayedUsers:{},
		currentPage:1,
		totalPage:1,
		
		creator: function(item, hint){
			if (hint == "avatar") {
				var n = document.createElement("div");
				this.selectedNodes=[]
				dojo.forEach(this.node.childNodes, function(item){
					var checkBox = dojo.query("input", item)[0];
					if (checkBox.checked) {
						checkBox.checked = false;
						dojo.removeClass(item, this.name + "ItemHover");
						var cloneDraggedNode = item.cloneNode(true);
						n.appendChild(cloneDraggedNode);
						this.selectedNodes.push(cloneDraggedNode);
						checkBox.checked = true;
					}
				},this);
				return { node: n, data: item, type: ["acluser"] };
			}
		}
	});
};

}
