-- ***************************************************************** 
--                                                                   
-- Licensed Materials - Property of IBM                              
--                                                                   
-- 5724-E76, 5724-L21, 5724-i67, 5724-L64, 5655-M44                  
--                                                                   
-- Copyright IBM Corp. 2001, 2006  All Rights Reserved.              
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
--                                                                   
-- ***************************************************************** 

-- Mashup DB2 SQL Script for dropping tables, keys, indexes
--

-- *****************************************************************
--
-- SET SCHEMA
--
-- *****************************************************************
ALTER SESSION SET CURRENT_SCHEMA = BSPMGTMP;

-- *****************************************************************
--
-- DROP TABLES
--
-- *****************************************************************
-- This ultimately should be tokenized (as demonstrated) when we have install
-- DROP TABLE @MASHUPS_SCHEMA@.ACCOUNT

DROP TABLE BSPMGTMP.VERSION_INFO;

DROP TABLE BSPMGTMP.CATALOG_CATEGORY_LOD;

DROP TABLE BSPMGTMP.CATALOG_ENTRY_DD;

DROP TABLE BSPMGTMP.CATALOG_LOD;

DROP TABLE BSPMGTMP.CATALOG_ENTRY_LOD;

DROP TABLE BSPMGTMP.CATALOG_ENTRY;

DROP TABLE BSPMGTMP.CATALOG_CATEGORY_INC;

DROP TABLE BSPMGTMP.CATALOG_INC;

DROP TABLE BSPMGTMP.CATALOG_CATEGORY;

DROP TABLE BSPMGTMP.CATALOG;

DROP TABLE BSPMGTMP.PREFERENCE_VALUE;

DROP TABLE BSPMGTMP.PREFERENCE;

DROP TABLE BSPMGTMP.NAV_TREE;

DROP TABLE BSPMGTMP.NAVNODE_LOD;

DROP TABLE BSPMGTMP.NAVNODE_DD;

DROP TABLE BSPMGTMP.NAVNODE;

DROP TABLE BSPMGTMP.ACL;

DROP TABLE BSPMGTMP.COMMUNITY_DEF;

DROP TABLE BSPMGTMP.SPACENODE_LOD;

DROP TABLE BSPMGTMP.SPACENODE_DD;

DROP TABLE BSPMGTMP.SPACENODE;

DROP TABLE BSPMGTMP.TEMPLATENODE_LOD;

DROP TABLE BSPMGTMP.TEMPLATENODE;

DROP TABLE BSPMGTMP.AC_MEMBER;

DROP TABLE BSPMGTMP.AC_ROLE;

DROP TABLE BSPMGTMP.AC_RESOURCE;

DROP TABLE BSPMGTMP.FILESTORE_FILE;

DROP TABLE BSPMGTMP.FILESTORE_PATH;

-- *****************************************************************
--
-- DROP SCHEMA
--
-- *****************************************************************
REVOKE CONNECT, RESOURCE FROM BSPMGTMP;
 
DROP USER BSPMGTMP;