if(!dojo._hasResource["com.ibm.mm.builder.widget.OpenSearchDropdownMenu"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.widget.OpenSearchDropdownMenu"] = true;
dojo.provide("com.ibm.mm.builder.widget.OpenSearchDropdownMenu");

dojo.require("dijit.Menu");
dojo.require("com.ibm.mm.builder.widget.OpenSearchPopup");
dojo.require("com.ibm.mm.builder.widget.ShadowMenu");

dojo.declare("com.ibm.mm.builder.widget.OpenSearchDropdownMenu",[com.ibm.mm.builder.widget.ShadowMenu],
{
	/**
	 * rewrite this function just for popup zindex set in dialog
	 */
	_openMyself: function(/*Event*/ e, /*DomNode?*/ node, /*DomNode?*/ iframe){
		if(this.leftClickToOpen&&e.button>0){
			return;
		}
		//TODO fix ie refresh issue..
		try {
			dojo.stopEvent(e);
		} catch (exp) {
		}

		//---change the default open position begin
		var targetNode = e.target;
		if(this.targetNodeIds && this.targetNodeIds.length == 1){
			targetNode = this.targetNodeIds[0];
		}
		var coords = dojo.coords(targetNode, true);
		var cbox = dojo.contentBox(targetNode);
		var x = coords.x + (this.offset_x||0);
		var y = coords.y + cbox.h + (this.offset_y||0);
		//---change the default open position end

		var self=this;
		var savedFocus = dijit.getFocus(this);
		function closeAndRestoreFocus(){
			// user has clicked on a menu or popup
			if(self.refocus){
				dijit.focus(savedFocus);
			}
			opensearch.popup.close(self);
		}
		opensearch.popup.open({
			popup: this,
			x: x,
			y: y,
			onExecute: closeAndRestoreFocus,
			onCancel: closeAndRestoreFocus,
			orient: this.isLeftToRight() ? 'L' : 'R'
		});
		this.focus();

		this._onBlur = function(){
			this.inherited('_onBlur', arguments);
			opensearch.popup.close(this);
		};
	},
	
	destroy: function(){
	    com.ibm.mm.builder.widget.OpenSearchDropdownMenu.superclass.destroy.call(this);
		
		if(this.domNode && this.domNode.id){
			dijit.registry.remove(this.domNode.id);
		}
		if (this._onBlur) {
			this._onBlur = null;
		}
		dijit.popup.close(this);
	},
	
	postCreate: function(){
		this.entrys = [];
		dojo.addClass(this.domNode,"OpenSearchDropdownMenu");
		com.ibm.mm.builder.widget.OpenSearchDropdownMenu.superclass.postCreate.apply(this);
		dojo.subscribe("com.ibm.mm.catalog.Topics.SearchType_Change",this,"changeSelected");
	},
	
	
	changeSelected: function(type){
		var self = this;
		dojo.forEach(this.entrys,function(item){
			if(type === item.type){
				self.setCurrentSearchType(item.domNode);
			}
		});
	},
	
	setCurrentSearchType : function(searchTypeDom) {
		var describedNode = null;
		if (this._currentSearchType) {
			if(this._currentSearchType == searchTypeDom){
				return;
			}
			var iconNode = dojo.query("td",this._currentSearchType)[0];
			dojo.removeClass(iconNode, "checked");
			var containerNode = dojo.query("td",this._currentSearchType)[1];
			dojo.removeClass(containerNode, "checked");
			describedNode = dojo.query("span",containerNode)[0];
			describedNode.innerHTML = "";	
		}
		var td0Dom = dojo.query("td",searchTypeDom)[0];
		dojo.addClass(td0Dom, "checked");
		var td1Dom = dojo.query("td",searchTypeDom)[1];
		dojo.addClass(td1Dom, "checked");
		this._currentSearchType = searchTypeDom;
		describedNode = dojo.query("span",td1Dom)[0];					
		describedNode.innerHTML =  " " +com.ibm.mm.builder.coreWidgetsStrings.I_MODE_IS_SELECT;		
	}
	
});

dojo.declare(
	"com.ibm.mm.builder.widget.OpenSearchDropdownMenuItem",
	[dijit.MenuItem],
{
	type:"",
	iconSrc: builderConfig.builderPath + "/images/blueCheckmark.gif", 
	
	postCreate: function(){
		this.inherited("postCreate",arguments);	
		this.iconNode.src = this.iconSrc;
		dojo.addClass(this.iconNode.parentNode,"menuItemCheckMark");
		this.domNode.setAttribute("type", this.type); 
		var dijitMenuLabelA11y = dojo.doc.createElement("span");
		dojo.addClass(dijitMenuLabelA11y,"access");
		this.containerNode.appendChild(dijitMenuLabelA11y);				
	}
});

dojo.declare(
	"com.ibm.mm.builder.widget.OpenSearchDropdownMenuSeparator",
	[dijit.MenuSeparator],
{
	templateString: '<tr class="dijitMenuSeparator"><td colspan=3>' + 
			'<div class="modeSelector_seperator">' + 
			'<div class="menuItemCheckMark" dojoAttachPoint="markSeparator"> </div>' + 
			'<div class="modeSelector_divider""></div>' + 
			'</div>' + 
			'</td></tr>',
	
	
	destroy: function(){
		dijit.registry.remove(this.domNode.id);
	},
	
	postCreate: function(){
		dojo.setSelectable(this.domNode, false);
		this.domNode.style.height = "2px";
		this.domNode.style.lineHeight = "2px";
		this.markSeparator.style.background="url(/mum/images/sideBar.gif)";	
		this.domNode.style.fontSize = "1pt";
	}	
});



}
